# module ActiveRecord::NoTouching

# Active Record No Touching¶ ↑

### Private Class Methods

klasses() click to toggle source

    # File lib/active_record/no_touching.rb, line 39
    def klasses
      Thread.current[:no_touching_classes] ||= []
    end

### Public Instance Methods

no_touching?() click to toggle source

    # File lib/active_record/no_touching.rb, line 44
    def no_touching?
      NoTouching.applied_to?(self.class)
    end